ObjectType Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
ObjectType Class Reference

Instances of this class represent a certain Object type. More...

`#include <object_imp.h>`

## Public Member Functions
bool | inherits (const ObjectType *t) const
| Does the Object type represented by this instance inherit the Object type represented by t ?
const char * | internalName () const
| Returns an internal name for this Object type.
TQString | translatedName () const
| The name of this type, translated to the currently used language.
const char * | selectStatement () const
| Returns a translatable string of the form "Select this %1".
const char * | selectNameStatement () const
| Returns a translatable string of the form "Select point %1".
TQString | removeAStatement () const
| Returns a translated string of the form "Remove a xxx".
TQString | addAStatement () const
| Returns a translated string of the form "Add a xxx".
TQString | moveAStatement () const
| Returns a translated string of the form "Move a xxx".
TQString | attachToThisStatement () const
| Returns a translated string of the form "Attach to this xxx".
TQString | showAStatement () const
| Returns a translated string of the form "Show a xxx".
TQString | hideAStatement () const
| Returns a translated string of the form "Hide a xxx".

## Static Public Member Functions
static const ObjectType * | typeFromInternalName (const char *n)
| Returns the type with name n.

## Detailed Description

Instances of this class represent a certain Object type.

Every Object type has a static ObjectType member, that it returns a reference to in its type() function.. Think of it as a nice enum, that you can also get some data from..

## Member Function Documentation

## ◆ addAStatement()

TQString ObjectType::addAStatement | ( |  | ) | const

Returns a translated string of the form "Add a xxx".

E.g. "Add a Segment".

## ◆ attachToThisStatement()

TQString ObjectType::attachToThisStatement | ( |  | ) | const

Returns a translated string of the form "Attach to this xxx".

E.g. "Attach to this segment".

## ◆ hideAStatement()

TQString ObjectType::hideAStatement | ( |  | ) | const

Returns a translated string of the form "Hide a xxx".

E.g. "Hide a Segment".

## ◆ internalName()

const char * ObjectType::internalName | ( |  | ) | const

Returns an internal name for this Object type.

This name is guaranteed unique, and mostly corresponds with the class name of the corresponding Object..

## ◆ moveAStatement()

TQString ObjectType::moveAStatement | ( |  | ) | const

Returns a translated string of the form "Move a xxx".

E.g. "Move a Segment".

## ◆ removeAStatement()

TQString ObjectType::removeAStatement | ( |  | ) | const

Returns a translated string of the form "Remove a xxx".

E.g. "Remove a Segment".

## ◆ selectNameStatement()

const char * ObjectType::selectNameStatement | ( |  | ) | const

Returns a translatable string of the form "Select point %1".

%1 will be filled in by whomever calls this function with the name of the object in question. This function should be used as follows: i18n( x->selectNameStatement() ).arg( xname ).

## ◆ selectStatement()

const char * ObjectType::selectStatement | ( |  | ) | const

Returns a translatable string of the form "Select this %1".

E.g. "Select this segment". Note that users of this function should use i18n on the returned string before using it.

## ◆ showAStatement()

TQString ObjectType::showAStatement | ( |  | ) | const

Returns a translated string of the form "Show a xxx".

E.g. "Show a Segment".

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001